# Prometheus Exporter

Export BFFH Data as Prometheus Metric.

The exporter uses the [pyfabapi](https://docs.fab-access.org/books/schnittstellen-und-apis/page/fabaccess-api#bkmrk-pyfabapi) (Python API wrapper for FabAccess API) to access the resource list (machines) and their states and meta information (names, categories).

Sample line:
```
bffh_machine_state{category="Central Stairs",machine_id="zam-raum1-ecke1-lamp",machine_name="1 Lampe"} 1.0
```

# Installation & Documentation
Please see [docs.fab-access.org](https://docs.fab-access.org/books/schnittstellen-und-apis/page/monitoring-prometheus-loki-und-grafana#bkmrk-installation-von-fab) for installation steps and how to use together with Grafana.

## Installation with Docker
In case you want to use the provided Dockerfile, you can use the following environment variables to run:

* `POLLING_INTERVAL_SECONDS` = 5
* `EXPORTER_PORT` = 9000
* `BFFH_HOST` = localhost
* `BFFH_PORT` = 59661
* `BFFH_USER` = Admin1
* `BFFH_PASSWORD` = secret